.dev
REST APIAPI Reference

Subscription

POST
/v1/stores/{storeId}/subscription/activate

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X POST "https://example.com/v1/stores/string/subscription/activate"
PATCH
/v1/stores/{storeId}/subscription/auto-renew

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X PATCH "https://example.com/v1/stores/string/subscription/auto-renew"
POST
/v1/stores/{storeId}/subscription/buyMonthWithIap

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X POST "https://example.com/v1/stores/string/subscription/buyMonthWithIap"
POST
/v1/stores/{storeId}/subscription/checkout

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X POST "https://example.com/v1/stores/string/subscription/checkout"
POST
/v1/stores/{storeId}/subscription/payDue

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X POST "https://example.com/v1/stores/string/subscription/payDue"
POST
/v1/stores/{storeId}/subscription/upgrade

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X POST "https://example.com/v1/stores/string/subscription/upgrade"